import { OnChanges, EventEmitter } from '@angular/core';
import { Comment } from '../comment';
import { NgForm } from '@angular/forms';
import { AnnotationService } from '../../services/annotation.service';
export declare class CommentFormComponent implements OnChanges {
    private annotationService;
    commentForm: NgForm;
    selectedAnnotationId: any;
    authorId: any;
    commentSubmitted: EventEmitter<string>;
    model: Comment;
    constructor(annotationService: AnnotationService);
    ngOnChanges(): void;
    onSubmit(): void;
    readonly diagnostic: string;
}
