import { OnInit, EventEmitter, Renderer2, ElementRef } from '@angular/core';
import { AnnotationService } from '../../services/annotation.service';
import { Comment } from '../comment';
import { NgForm } from '@angular/forms';
export declare class CommentItemComponent implements OnInit {
    private annotationService;
    private render;
    comment: any;
    commentSubmitted: EventEmitter<string>;
    commentSelected: EventEmitter<String>;
    commentTextField: ElementRef;
    annotationIdField: ElementRef;
    commentItem: NgForm;
    model: Comment;
    constructor(annotationService: AnnotationService, render: Renderer2);
    ngOnInit(): void;
    onSubmit(): void;
    handleDeleteComment(event: any, commentId: any, annotationId: any): void;
    handleCommentClick(event: any): void;
    removeCommentSelectedStyle(): void;
}
