import { OnInit, OnChanges, Renderer2, ElementRef, ChangeDetectorRef, SimpleChanges } from '@angular/core';
import { AnnotationService } from '../services/annotation.service';
export declare class CommentsComponent implements OnInit, OnChanges {
    private annotationService;
    private render;
    private ref;
    comments: any;
    commentFormActive: boolean;
    annotationId: string;
    selectedAnnotationId: string;
    authorId: string;
    pageNumber: number;
    commentList: ElementRef;
    commentForm: ElementRef;
    commentText: ElementRef;
    constructor(annotationService: AnnotationService, render: Renderer2, ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    showAllComments(): void;
    handleAnnotationBlur(target: any): void;
    supportsComments(target: any): boolean;
    readComments(annotationId: any): void;
    handleAnnotationClick(event: any): void;
    isNodeComment(node: any): boolean;
    addHighlightedCommentStyle(linkedAnnotationId: any): void;
}
