import { OnInit, ElementRef, OnChanges, EventEmitter } from '@angular/core';
import { AnnotationService } from '../services/annotation.service';
export declare class ToolbarComponent implements OnInit, OnChanges {
    private annotationService;
    highlightTool: ElementRef;
    pointerPool: ElementRef;
    zoomTool: ElementRef;
    tool: string;
    toolChange: EventEmitter<string>;
    constructor(annotationService: AnnotationService);
    ngOnInit(): void;
    ngOnChanges(): void;
    handleClearAnnotations(): void;
    handleHighlightClick(): void;
    handlePointerClick(): void;
}
